from House import *
from Field import *

class Board(object):

    """
    :version:
    :author:
    """

    """ ATTRIBUTES

    dict_all_fields  (private)

    """

    def get_house_by_color(self, color = "black"):
        """
         

        @param string color : 
        @return House :
        @author
        """
        pass

    def init_board(self):
        """
         

        @return  :
        @author
        """
        pass

    def get_next_standard_field(self, current_field):
        """
         

        @param Field current_field : 
        @return Field :
        @author
        """
        pass

    def get_next_field_by_color(self, current_field, color = "black"):
        """
         

        @param Field current_field : Current field
        @param string color : Color of the stone requesting his next field.
        @return Field :
        @author
        """
        pass



